## kwin 5.8.6

=== autotests/CMakeLists.txt ===
add_definitions(-DKWIN_UNIT_TEST)
remove_definitions(-DQT_USE_QSTRINGBUILDER)
add_subdirectory(libkwineffects)
add_subdirectory(libxrenderutils)
add_subdirectory(integration)
if (HAVE_INPUT)
    add_subdirectory(libinput)
endif()
add_subdirectory(tabbox)

########################################################
# Test ScreenPaintData
########################################################
set( testScreenPaintData_SRCS test_screen_paint_data.cpp )
add_executable(testScreenPaintData ${testScreenPaintData_SRCS})
target_link_libraries( testScreenPaintData kwineffects Qt5::Test Qt5::Widgets KF5::WindowSystem)
add_test(kwin-testScreenPaintData testScreenPaintData)
ecm_mark_as_test(testScreenPaintData)

########################################################
# Test WindowPaintData
########################################################
set( testWindowPaintData_SRCS test_window_paint_data.cpp )
add_executable(testWindowPaintData ${testWindowPaintData_SRCS})
target_link_libraries( testWindowPaintData kwineffects Qt5::Widgets Qt5::Test )
add_test(kwin-testWindowPaintData testWindowPaintData)
ecm_mark_as_test(testWindowPaintData)

########################################################
# Test VirtualDesktopManager
########################################################
set( testVirtualDesktops_SRCS
     test_virtual_desktops.cpp
     ../virtualdesktops.cpp
)
add_executable(testVirtualDesktops ${testVirtualDesktops_SRCS})

target_link_libraries( testVirtualDesktops
                       Qt5::Test
                       Qt5::Widgets
                       KF5::I18n
                       KF5::GlobalAccel
                       KF5::ConfigCore
                       KF5::WindowSystem
)
add_test(kwin-testVirtualDesktops testVirtualDesktops)
ecm_mark_as_test(testVirtualDesktops)

########################################################
# Test ClientMachine
########################################################
set( testClientMachine_SRCS
     test_client_machine.cpp
     ../client_machine.cpp
)
add_executable( testClientMachine ${testClientMachine_SRCS} )

target_link_libraries( testClientMachine
                       Qt5::Concurrent
                       Qt5::Test
                       Qt5::X11Extras
                       Qt5::Widgets
                       KF5::ConfigCore
                       KF5::WindowSystem
                       XCB::XCB
                       XCB::XFIXES
                       ${X11_X11_LIB} # to make jenkins happy
)
add_test(kwin-testClientMachine testClientMachine)
ecm_mark_as_test(testClientMachine)

########################################################
# Test XcbWrapper
########################################################
set( testXcbWrapper_SRCS
     test_xcb_wrapper.cpp
)
add_executable( testXcbWrapper ${testXcbWrapper_SRCS} )

target_link_libraries( testXcbWrapper
                       Qt5::Test
                       Qt5::X11Extras
                       Qt5::Widgets
                       KF5::ConfigCore
                       KF5::WindowSystem
                       XCB::XCB
)
add_test(kwin-testXcbWrapper testXcbWrapper)
ecm_mark_as_test(testXcbWrapper)

if (XCB_ICCCM_FOUND)
    add_executable( testXcbSizeHints test_xcb_size_hints.cpp )
    target_link_libraries( testXcbSizeHints
                           Qt5::Test
                           Qt5::X11Extras
                           KF5::ConfigCore
                           KF5::WindowSystem
                           XCB::XCB
                           XCB::ICCCM
    )
    add_test(kwin-testXcbSizeHints testXcbSizeHints)
    ecm_mark_as_test(testXcbSizeHints)
endif()

########################################################
# Test XcbWindow
########################################################
set( testXcbWindow_SRCS
     test_xcb_window.cpp
)
add_executable( testXcbWindow ${testXcbWindow_SRCS} )

target_link_libraries( testXcbWindow
                       Qt5::Test
                       Qt5::X11Extras
                       Qt5::Widgets
                       KF5::ConfigCore
                       KF5::WindowSystem
                       XCB::XCB
)
add_test(kwin-testXcbWindow testXcbWindow)
ecm_mark_as_test(testXcbWindow)

########################################################
# Test BuiltInEffectLoader
########################################################
set( testBuiltInEffectLoader_SRCS
    test_builtin_effectloader.cpp
    mock_effectshandler.cpp
    ../effectloader.cpp
)
add_executable( testBuiltInEffectLoader ${testBuiltInEffectLoader_SRCS})

target_link_libraries(testBuiltInEffectLoader
    Qt5::Concurrent
    Qt5::Test
    KF5::Package
    kwineffects
    kwin4_effect_builtins
)

add_test(kwin-testBuiltInEffectLoader testBuiltInEffectLoader)
ecm_mark_as_test(testBuiltInEffectLoader)

########################################################
# Test ScriptedEffectLoader
########################################################
include_directories(${KWIN_SOURCE_DIR})
set( testScriptedEffectLoader_SRCS
    test_scripted_effectloader.cpp
    mock_effectshandler.cpp
    ../effectloader.cpp
    ../scripting/scriptedeffect.cpp
    ../scripting/scriptingutils.cpp
    ../scripting/scripting_logging.cpp
)
add_executable( testScriptedEffectLoader ${testScriptedEffectLoader_SRCS})

target_link_libraries(testScriptedEffectLoader
    Qt5::Concurrent
    Qt5::Script
    Qt5::Test
    KF5::ConfigGui
    KF5::GlobalAccel
    KF5::I18n
    KF5::Package
    kwineffects
    kwin4_effect_builtins
)

add_test(kwin-testScriptedEffectLoader testScriptedEffectLoader)
ecm_mark_as_test(testScriptedEffectLoader)

########################################################
# Test PluginEffectLoader
########################################################
set( testPluginEffectLoader_SRCS
    test_plugin_effectloader.cpp
    mock_effectshandler.cpp
    ../effectloader.cpp
)
add_executable( testPluginEffectLoader ${testPluginEffectLoader_SRCS})

target_link_libraries(testPluginEffectLoader
    Qt5::Concurrent
    Qt5::Test
    KF5::Package
    kwineffects
    kwin4_effect_builtins
)

add_test(kwin-testPluginEffectLoader testPluginEffectLoader)
ecm_mark_as_test(testPluginEffectLoader)

########################################################
# FakeEffectPlugin
########################################################
add_library(fakeeffectplugin MODULE fakeeffectplugin.cpp)
set_target_properties(fakeeffectplugin PROPERTIES PREFIX "")
target_link_libraries(fakeeffectplugin kwineffects)

########################################################
# FakeEffectPlugin-Version
########################################################
add_library(effectversionplugin MODULE fakeeffectplugin_version.cpp)
set_target_properties(effectversionplugin PROPERTIES PREFIX "")
target_link_libraries(effectversionplugin kwineffects)

########################################################
# Test Screens
########################################################
set( testScreens_SRCS
    test_screens.cpp
    mock_abstract_client.cpp
    mock_client.cpp
    mock_screens.cpp
    mock_workspace.cpp
    ../screens.cpp
    ../x11eventfilter.cpp
)
kconfig_add_kcfg_files(testScreens_SRCS ../settings.kcfgc)

add_executable( testScreens ${testScreens_SRCS})
target_include_directories(testScreens BEFORE PRIVATE ./)
target_link_libraries(testScreens
    Qt5::Test
    Qt5::X11Extras
    KF5::ConfigCore
    KF5::ConfigGui
    KF5::WindowSystem
)

add_test(kwin_testScreens testScreens)
ecm_mark_as_test(testScreens)

########################################################
# Test XrandRScreens
########################################################
set( testXRandRScreens_SRCS
     test_xrandr_screens.cpp
     mock_abstract_client.cpp
     mock_client.cpp
     mock_screens.cpp
     mock_workspace.cpp
     ../screens.cpp
     ../plugins/platforms/x11/standalone/screens_xrandr.cpp
     ../xcbutils.cpp # init of extensions
     ../x11eventfilter.cpp
)
kconfig_add_kcfg_files(testXRandRScreens_SRCS ../settings.kcfgc)
add_executable( testXRandRScreens ${testXRandRScreens_SRCS} )
target_link_libraries( testXRandRScreens
                       Qt5::Test
                       Qt5::Gui
                       KF5::ConfigCore
                       KF5::ConfigGui
                       KF5::WindowSystem
                       XCB::XCB
                       XCB::RANDR
                       XCB::XFIXES
                       XCB::SYNC
                       XCB::COMPOSITE
                       XCB::DAMAGE
                       XCB::GLX
                       XCB::SHM
)

add_test(kwin-testXRandRScreens testXRandRScreens)
ecm_mark_as_test(testXRandRScreens)

########################################################
# Test ScreenEdges
########################################################
set( testScreenEdges_SRCS
    test_screen_edges.cpp
    mock_abstract_client.cpp
    mock_client.cpp
    mock_screens.cpp
    mock_workspace.cpp
    ../atoms.cpp
    ../screens.cpp
    ../screenedge.cpp
    ../virtualdesktops.cpp
    ../xcbutils.cpp # init of extensions
    ../plugins/platforms/x11/standalone/edge.cpp
)
kconfig_add_kcfg_files(testScreenEdges_SRCS ../settings.kcfgc)
qt5_add_dbus_interface( testScreenEdges_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/../org.freedesktop.ScreenSaver.xml screenlocker_interface)

add_executable( testScreenEdges ${testScreenEdges_SRCS})
target_include_directories(testScreenEdges BEFORE PRIVATE ./)
target_link_libraries(testScreenEdges
    Qt5::DBus
    Qt5::Test
    Qt5::X11Extras
    KF5::ConfigCore
    KF5::ConfigGui
    KF5::I18n
    KF5::GlobalAccel
    KF5::WindowSystem
    XCB::XCB
    XCB::RANDR
    XCB::XFIXES
    XCB::SYNC
    XCB::COMPOSITE
    XCB::DAMAGE
    XCB::GLX
    XCB::SHM
)

add_test(kwin_testScreenEdges testScreenEdges)
ecm_mark_as_test(testScreenEdges)

=== autotests/integration/helper/CMakeLists.txt ===
add_executable(copy copy.cpp)
target_link_libraries(copy Qt5::Gui)
ecm_mark_as_test(copy)
######################
add_executable(paste paste.cpp)
target_link_libraries(paste Qt5::Gui)
ecm_mark_as_test(paste)

=== plugins/platforms/x11/standalone/CMakeLists.txt ===
set(X11PLATFORM_SOURCES
    edge.cpp
    logging.cpp
    x11cursor.cpp
    x11_platform.cpp
    screens_xrandr.cpp
)

if(X11_Xinput_FOUND)
    set(X11PLATFORM_SOURCES ${X11PLATFORM_SOURCES} xinputintegration.cpp)
endif()

if(HAVE_EPOXY_GLX)
    set(X11PLATFORM_SOURCES ${X11PLATFORM_SOURCES} glxbackend.cpp)
endif()

add_library(KWinX11Platform MODULE ${X11PLATFORM_SOURCES})
target_link_libraries(KWinX11Platform eglx11common kwin Qt5::X11Extras XCB::CURSOR)
if(X11_Xinput_FOUND)
    target_link_libraries(KWinX11Platform ${X11_Xinput_LIB})
endif()

install(
    TARGETS
        KWinX11Platform
    DESTINATION
        ${PLUGIN_INSTALL_DIR}/org.kde.kwin.platforms/
)

=== debian/changelog ===
kwin (4:5.8.6-1) unstable; urgency=medium

  * New upstream release (5.8.6) (Closes: 846508)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 24 Mar 2017 14:38:54 +0100

kwin (4:5.8.5-2) unstable; urgency=medium

  * Be more strict about runtime dependencies.
    Thanks to Ben Longbons for reporting (Closes: 848523)
  * Drop forced qtwayland runtime dependency.
    Thanks to Martin Graesslin for reporting (Closes: 855410)
  * Update kwin-wayland description about being a preview release.
    Thanks to Ben Longbons for reporting (Closes: 848524)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 18 Feb 2017 10:42:33 +0100

kwin (4:5.8.5-1) experimental; urgency=medium

  * New upstream release (5.8.5).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 18:46:18 +0100

kwin (4:5.8.4-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.8.4)
  * Add breeze-dev build dependency.
    Thanks to Martin Graesslin for the report (Closes: 842912)
  * Bump qt buid deps and deps to 5.7
  * kwin-x11: Add provides x-window-manager

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 18:36:53 +0100

kwin (4:5.8.2-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.8.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 15:26:03 +0200

kwin (4:5.8.1-1) unstable; urgency=medium

  * Update copyright information

 -- Maximiliano Curia <maxy@debian.org>  Sun, 16 Oct 2016 23:00:42 +0200

kwin (4:5.8.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.8.0)
  * Update symbols files.
  * Follow upstream soversion bump
  * Update install files
  * Replace dbus-launch with dbus-run-session in tests
  * Bump group breaks (5.8)

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Oct 2016 14:08:55 +0200

kwin (4:5.7.4-1) unstable; urgency=medium

  [ Pino Toscano ]
  * autopkgtest: switch from oxygen5-icon-theme back to the canonical
    oxygen-icon-theme.

  [ Maximiliano Curia ]
  * Add plasma-desktop recommends.
    Thanks to HJ (Closes: 834954)
  * New upstream release (5.7.4)
  * Bump group breaks (5.7)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 27 Aug 2016 00:12:30 +0200

kwin (4:5.7.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files.

  [ Jonathan Riddell ]
  * add KWinX11Platform.so to kwin-x11

 -- Maximiliano Curia <maxy@debian.org>  Mon, 11 Jul 2016 10:22:59 +0200

kwin (4:5.6.5-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 27 Jun 2016 18:14:24 +0200

kwin (4:5.6.4-3) unstable; urgency=medium

  * Add kwayland windowsystem platform plugin dependency
  * Add XInput build dependency
  * Add xwayland runtime dependency in kwin-wayland

 -- Maximiliano Curia <maxy@debian.org>  Sun, 05 Jun 2016 14:27:18 +0200

kwin (4:5.6.4-2) unstable; urgency=medium

  * Update copyright information
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 01 Jun 2016 10:42:19 +0200

kwin (4:5.6.4-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Refresh patches
  * Bump Standards-Version to 3.9.8
  * Update symbols files.
  * Drop missing symbol

  [ Maximiliano Curia ]
  * Revert "Add missing closes"
  * Keep unreleased with preview versions
  * uscan no longer supports this kind of watch files.
  * New upstream release (5.5.5).
  * Automatic update with ddeb_migration3.py
  * Add upstream metadata (DEP-12)
  * Follow upstream soversion bumps
  * Update symbols files
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Add new lintian-override about ldconfig-trigger for libkdeinit5_kwin_x11.so
  * Update testsuite

  [ Debian/Kubuntu Qt/KDE Maintainers ]
  * Drop kwinglesutils, removed upstream

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 21:45:59 +0200

kwin (4:5.5.4-2) experimental; urgency=medium

  * Rebuild due to typo in symbols file.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 02 Feb 2016 10:29:43 +0100

kwin (4:5.5.4-1) experimental; urgency=medium

  * New upstream release (5.5.0).
  * Update symbols files from buildds logs (4:5.4.3-1.1).
  * New upstream release (5.5.1).
  * Follow upstream soversion bump
  * Add virtual backend.
  * New upstream release (5.5.2).
  * New upstream release (5.5.3).
  * New upstream release (5.5.4).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 16:48:45 +0100

kwin (4:5.4.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add mips64 and mips64el into the arch list of libkwinglutils6.
    (Closes: #801800)

 -- YunQiang Su <syq@debian.org>  Thu, 03 Dec 2015 12:37:32 +0800

=== debian/control ===
Source: kwin
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: breeze-dev (>= 4:5.8.4~),
               cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               kinit-dev (>= 5.26.0~),
               kscreenlocker-dev,
               libdrm-dev (>= 2.4.62~),
               libegl1-mesa-dev (>= 1.2~),
               libepoxy-dev (>= 1.2),
               libfontconfig1-dev,
               libfreetype6-dev,
               libgbm-dev,
               libice-dev,
               libinput-dev (>= 1.2~),
               libkdecorations2-dev,
               libkf5activities-dev (>= 5.26.0~),
               libkf5completion-dev (>= 5.26.0~),
               libkf5config-dev (>= 5.26.0~),
               libkf5configwidgets-dev (>= 5.26.0~),
               libkf5coreaddons-dev (>= 5.26.0~),
               libkf5crash-dev (>= 5.26.0~),
               libkf5declarative-dev (>= 5.26.0~),
               libkf5doctools-dev (>= 5.26.0~),
               libkf5globalaccel-dev (>= 5.26.0~),
               libkf5i18n-dev (>= 5.26.0~),
               libkf5iconthemes-dev (>= 5.26.0~),
               libkf5idletime-dev (>= 5.26.0~),
               libkf5kcmutils-dev (>= 5.26.0~),
               libkf5kio-dev (>= 5.26.0~),
               libkf5newstuff-dev (>= 5.26.0~),
               libkf5notifications-dev (>= 5.26.0~),
               libkf5package-dev (>= 5.26.0~),
               libkf5plasma-dev (>= 5.26.0~),
               libkf5service-dev (>= 5.26.0~),
               libkf5textwidgets-dev (>= 5.26.0~),
               libkf5wayland-dev (>= 4:5.26.0~),
               libkf5widgetsaddons-dev (>= 5.26.0~),
               libkf5windowsystem-dev (>= 5.26.0~),
               libkf5xmlgui-dev (>= 5.26.0~),
               libqt5x11extras5-dev (>= 5.7.0~),
               libsm-dev,
               libudev-dev [linux-any],
               libwayland-dev (>= 1.2),
               libx11-xcb-dev,
               libxcb-composite0-dev (>= 1.10~),
               libxcb-cursor-dev,
               libxcb-damage0-dev (>= 1.10~),
               libxcb-glx0-dev (>= 1.10~),
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev (>= 1.10~),
               libxcb-render0-dev (>= 1.10~),
               libxcb-shape0-dev (>= 1.10~),
               libxcb-shm0-dev (>= 1.10~),
               libxcb-sync-dev (>= 1.10~),
               libxcb-xfixes0-dev (>= 1.10~),
               libxcb-xtest0-dev,
               libxcb1-dev (>= 1.10~),
               libxcursor-dev,
               libxi-dev,
               libxkbcommon-dev (>= 0.5.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.7.0~),
               qtbase5-private-dev (>= 5.7.0~),
               qtdeclarative5-dev (>= 5.7.0~),
               qtscript5-dev (>= 5.7.0~),
               qttools5-dev (>= 5.7.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/kwin
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/kwin.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/kwin.git

Package: kwin-dev
Section: libdevel
Architecture: any
Depends: kwin-common (= ${binary:Version}),
         libegl1-mesa-dev (>= 1.2~),
         libepoxy-dev (>= 1.2),
         libkf5coreaddons-dev (>= 5.26.0~),
         libkf5windowsystem-dev (>= 5.26.0~),
         libqt5x11extras5-dev (>= 5.7.0~),
         qtbase5-dev (>= 5.7.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kde-workspace-dev
Replaces: kde-workspace-dev
Description: KDE window manager - devel files
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package is part of the KDE base workspace module.

Package: kwin-common
Architecture: any
Depends: kwin-data (= ${source:Version}),
         libkwineffects9 (= ${binary:Version}),
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtmultimedia,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libqt5multimedia5-plugins, plasma-desktop
Suggests: kwin-addons
Breaks: kwin (<= 4:5.3.1-0ubuntu3)
Replaces: kwin (<= 4:5.3.1-0ubuntu3)
Description: KDE window manager, common files
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package is part of the KDE base workspace module.

Package: kwin-x11
Architecture: any
Depends: kwin-common (= ${binary:Version}),
         libkwinglutils9 (= ${binary:Version}),
         libkwinxrenderutils9 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kde-window-manager (<< 4:5), kwin-addons (<< 4:5.8)
Replaces: kde-window-manager (<< 4:5)
Provides: kwin, x-window-manager
Description: KDE window manager, X11 version
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package is part of the KDE base workspace module.

Package: kwin-wayland
Architecture: any
Depends: kwayland-integration,
         kwin-common (= ${binary:Version}),
         kwin-wayland-backend-drm (= ${binary:Version}) | kwin-wayland-backend-fbdev (= ${binary:Version}) | kwin-wayland-backend-x11 (= ${binary:Version}) | kwin-wayland-backend-virtual (= ${binary:Version}) | kwin-wayland-backend-wayland (= ${binary:Version}),
         xwayland,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: kwin
Description: KDE window manager, wayland version, PREVIEW release
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package provides the wayland version, which is still a work in progress
 project, and is available as a PREVIEW release. Don't expect the same
 stability as with the x11 version.
Breaks: plasma-workspace-wayland (<< 4:5.8)

Package: libkwin4-effect-builtins1
Section: libs
Architecture: any
Depends: libkwineffects9 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE window manager effect builtins library
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package is part of the KDE base workspace module.

Package: libkwineffects9
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE window manager effects library
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package is part of the KDE base workspace module.

Package: libkwinglutils9
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kwin-common (<< 4:5.4), libkwin4-effect-builtins1 (<< 4:5.4)
Description: KDE window manager gl utils library
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package is part of the KDE base workspace module.

Package: libkwinxrenderutils9
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE window manager render utils library
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package is part of the KDE base workspace module.

Package: kwin-wayland-backend-drm
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: kwin-wayland-backend
Description: KDE window manager drm plugin
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package is part of the KDE base workspace module

Package: kwin-wayland-backend-fbdev
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: kwin-wayland-backend
Description: KDE window manager fbdev plugin
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package is part of the KDE base workspace module

Package: kwin-wayland-backend-x11
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: kwin-wayland-backend
Description: KDE window manager x11 plugin
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package is part of the KDE base workspace module

Package: kwin-wayland-backend-virtual
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: kwin-wayland-backend
Description: KDE window manager virtual plugin
 KWin (pronounced as one syllable "kwin") is the window

=== debian/tests/control ===
Tests: testsuite
Depends: @, debhelper, cmake,
         xvfb, xauth, dbus (>= 1.8), xserver-xephyr, libkf5service-bin, kded5,
         xwayland, oxygen-icon-theme, mesa-utils
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

## kwin 5.9.4

=== debian/changelog ===
kwin (4:5.9.4-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 23 Mar 2017 20:00:29 +0000

kwin (4:5.9.3-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 02 Mar 2017 09:54:24 +0000

kwin (4:5.9.2-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.2)
  * Refresh patch kubuntu_disable_failing_tests.diff

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 20 Feb 2017 11:07:29 +0000

kwin (4:5.9.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.

  [ Rik Mills ]
  * New upstream release (5.9.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 14 Feb 2017 23:22:23 +0000

kwin (4:5.9.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.0)
  * Refresh symbols

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 04 Feb 2017 00:56:38 +0000

kwin (4:5.8.5-0ubuntu1) zesty; urgency=low

  * New upstream release (5.8.5)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 29 Dec 2016 16:46:59 +0000

kwin (4:5.8.4-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Soname bump for library packages
  * Merge with debian:
    - with this merge the file KF5IdleTimeKWinWaylandPrivatePlugin.so was moved
      from kwin-common to kwin-wayland so add Breaks/Replaces in kwin-wayland
      against kwin-common (<< 4:5.8.3)
  * Execute 'kwin_wayland --framebuffer' before running tests.
  * Add kubuntu_disable_failing_tests.diff
  * Add dmz-cursor-theme to testsuite Depends, needed for autotest
    kwin-testPointerInput
  * Update symbols files

  [ Simon Quigley ]
  * New upstream release (5.8.3)

  [ Rik Mills ]
  * New upstream release (5.8.4)
  * Replace build dep plasma-framework-dev with new libkf5plasma-dev

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 05 Dec 2016 19:56:07 +0000

kwin (4:5.7.2-0ubuntu2) UNRELEASED; urgency=medium

  * Mark as optional new symbol due to gcc 6 transition
  * Update library packages for sobump and refresh symbols from build logs

 -- Rik Mills <rik.mills88@gmail.com>  Sun, 21 Aug 2016 11:20:12 +0100

## kwin 5.9.5

=== debian/changelog ===
kwin (4:5.9.5-0ubuntu0.1) zesty; urgency=low

  * New upstream release (5.9.5) (LP: #1687444)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 09 May 2017 19:17:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: kwin
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: breeze-dev (>= 4:5.8.4~),
+Build-Depends: breeze-dev (>= 4:5.9.4~),
                cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
-               kinit-dev (>= 5.26.0~),
-               kscreenlocker-dev,
+               extra-cmake-modules (>= 5.31.0~),
+               kinit-dev (>= 5.31.0~),
+               kscreenlocker-dev (>= 5.9.4~),
                libdrm-dev (>= 2.4.62~),
                libegl1-mesa-dev (>= 1.2~),
                libepoxy-dev (>= 1.2),
@@ -17,32 +18,31 @@
                libgbm-dev,
                libice-dev,
                libinput-dev (>= 1.2~),
-               libkdecorations2-dev,
-               libkf5activities-dev (>= 5.26.0~),
-               libkf5completion-dev (>= 5.26.0~),
-               libkf5config-dev (>= 5.26.0~),
-               libkf5configwidgets-dev (>= 5.26.0~),
-               libkf5coreaddons-dev (>= 5.26.0~),
-               libkf5crash-dev (>= 5.26.0~),
-               libkf5declarative-dev (>= 5.26.0~),
-               libkf5doctools-dev (>= 5.26.0~),
-               libkf5globalaccel-dev (>= 5.26.0~),
-               libkf5i18n-dev (>= 5.26.0~),
-               libkf5iconthemes-dev (>= 5.26.0~),
-               libkf5idletime-dev (>= 5.26.0~),
-               libkf5kcmutils-dev (>= 5.26.0~),
-               libkf5kio-dev (>= 5.26.0~),
-               libkf5newstuff-dev (>= 5.26.0~),
-               libkf5notifications-dev (>= 5.26.0~),
-               libkf5package-dev (>= 5.26.0~),
-               libkf5plasma-dev (>= 5.26.0~),
-               libkf5service-dev (>= 5.26.0~),
-               libkf5textwidgets-dev (>= 5.26.0~),
-               libkf5wayland-dev (>= 4:5.26.0~),
-               libkf5widgetsaddons-dev (>= 5.26.0~),
-               libkf5windowsystem-dev (>= 5.26.0~),
-               libkf5xmlgui-dev (>= 5.26.0~),
-               libqt5x11extras5-dev (>= 5.7.0~),
+               libkdecorations2-dev (>= 4:5.9.4~),
+               libkf5activities-dev (>= 5.31.0~),
+               libkf5completion-dev (>= 5.31.0~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5configwidgets-dev (>= 5.31.0~),
+               libkf5coreaddons-dev (>= 5.31.0~),
+               libkf5crash-dev (>= 5.31.0~),
+               libkf5declarative-dev (>= 5.31.0~),
+               libkf5doctools-dev (>= 5.31.0~),
+               libkf5globalaccel-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5iconthemes-dev (>= 5.31.0~),
+               libkf5idletime-dev (>= 5.31.0~),
+               libkf5kcmutils-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5newstuff-dev (>= 5.31.0~),
+               libkf5notifications-dev (>= 5.31.0~),
+               libkf5package-dev (>= 5.31.0~),
+               libkf5plasma-dev (>= 5.31.0~),
+               libkf5service-dev (>= 5.31.0~),
+               libkf5wayland-dev (>= 4:5.31.0~),
+               libkf5widgetsaddons-dev (>= 5.31.0~),
+               libkf5windowsystem-dev (>= 5.31.0~),
+               libkf5xmlgui-dev (>= 5.31.0~),
+               libqt5x11extras5-dev (>= 5.6.1~),
                libsm-dev,
                libudev-dev [linux-any],
                libwayland-dev (>= 1.2),
@@ -64,29 +64,30 @@
                libxcb1-dev (>= 1.10~),
                libxcursor-dev,
                libxi-dev,
-               libxkbcommon-dev (>= 0.5.0~),
+               libxkbcommon-dev (>= 0.4.1),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.7.0~),
-               qtbase5-private-dev (>= 5.7.0~),
-               qtdeclarative5-dev (>= 5.7.0~),
-               qtscript5-dev (>= 5.7.0~),
-               qttools5-dev (>= 5.7.0~)
+               qtbase5-dev (>= 5.6.1~),
+               qtbase5-private-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~),
+               qtscript5-dev (>= 5.6.1~),
+               qttools5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/kwin
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/kwin.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/kwin.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwin
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwin
 
 Package: kwin-dev
+Architecture: any
+Multi-Arch: no
 Section: libdevel
-Architecture: any
 Depends: kwin-common (= ${binary:Version}),
          libegl1-mesa-dev (>= 1.2~),
          libepoxy-dev (>= 1.2),
-         libkf5coreaddons-dev (>= 5.26.0~),
-         libkf5windowsystem-dev (>= 5.26.0~),
-         libqt5x11extras5-dev (>= 5.7.0~),
-         qtbase5-dev (>= 5.7.0~),
+         libkf5coreaddons-dev (>= 5.31.0~),
+         libkf5windowsystem-dev (>= 5.31.0~),
+         libqt5x11extras5-dev (>= 5.6.1~),
+         qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: kde-workspace-dev
@@ -104,16 +105,17 @@
 
 Package: kwin-common
 Architecture: any
+Multi-Arch: same
 Depends: kwin-data (= ${source:Version}),
-         libkwineffects9 (= ${binary:Version}),
+         libkwineffects10 (= ${binary:Version}),
          qml-module-org-kde-kquickcontrolsaddons,
          qml-module-qtmultimedia,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: libqt5multimedia5-plugins, plasma-desktop
 Suggests: kwin-addons
-Breaks: kwin (<= 4:5.3.1-0ubuntu3)
-Replaces: kwin (<= 4:5.3.1-0ubuntu3)
+Breaks: kwin (<= 4:5.3.1-0ubuntu3), kwin-data (<< 4:5.5.3a~)
+Replaces: kwin (<= 4:5.3.1-0ubuntu3), kwin-data (<< 4:5.5.3a~)
 Description: KDE window manager, common files
  KWin (pronounced as one syllable "kwin") is the window
  manager for the KDE Plasma Desktop. It gives you complete
@@ -127,14 +129,11 @@
 
 Package: kwin-x11
 Architecture: any
-Depends: kwin-common (= ${binary:Version}),
-         libkwinglutils9 (= ${binary:Version}),
-         libkwinxrenderutils9 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Multi-Arch: no
+Depends: kwin-common (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Breaks: kde-window-manager (<< 4:5), kwin-addons (<< 4:5.8)
+Provides: kwin
 Replaces: kde-window-manager (<< 4:5)
-Provides: kwin, x-window-manager
 Description: KDE window manager, X11 version
  KWin (pronounced as one syllable "kwin") is the window
  manager for the KDE Plasma Desktop. It gives you complete
@@ -148,31 +147,35 @@
 
 Package: kwin-wayland
 Architecture: any
+Multi-Arch: no
 Depends: kwayland-integration,
          kwin-common (= ${binary:Version}),
-         kwin-wayland-backend-drm (= ${binary:Version}) | kwin-wayland-backend-fbdev (= ${binary:Version}) | kwin-wayland-backend-x11 (= ${binary:Version}) | kwin-wayland-backend-virtual (= ${binary:Version}) | kwin-wayland-backend-wayland (= ${binary:Version}),
+         kwin-wayland-backend-drm (= ${binary:Version}) | kwin-wayland-backend,
+         qtwayland5,
          xwayland,
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: kwin (<< 4:5.3.2+git20150715),
+        kwin-common (<< 4:5.8.3),
+        plasma-workspace-wayland (<< 4:5.8)
 Provides: kwin
-Description: KDE window manager, wayland version, PREVIEW release
- KWin (pronounced as one syllable "kwin") is the window
- manager for the KDE Plasma Desktop. It gives you complete
- control over your windows, making sure they're not in the way
- but aid you in your task. It paints the window decoration,
- the bar on top of every window with (configurable) buttons
- like close, maximize and minimize. It also handles placing
- of windows and switching between them.
- .
- This package provides the wayland version, which is still a work in progress
- project, and is available as a PREVIEW release. Don't expect the same
- stability as with the x11 version.
-Breaks: plasma-workspace-wayland (<< 4:5.8)
+Replaces: kwin (<< 4:5.3.2+git20150715), kwin-common (<< 4:5.8.3)
+Description: KDE window manager, wayland version
+ KWin (pronounced as one syllable "kwin") is the window
+ manager for the KDE Plasma Desktop. It gives you complete
+ control over your windows, making sure they're not in the way
+ but aid you in your task. It paints the window decoration,
+ the bar on top of every window with (configurable) buttons
+ like close, maximize and minimize. It also handles placing
+ of windows and switching between them.
+ .
+ This package is part of the KDE base workspace module.
 
 Package: libkwin4-effect-builtins1
-Section: libs
-Architecture: any
-Depends: libkwineffects9 (= ${binary:Version}),
+Architecture: any
+Multi-Arch: same
+Section: libs
+Depends: libkwineffects10 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: KDE window manager effect builtins library
@@ -186,9 +189,10 @@
  .
  This package is part of the KDE base workspace module.
 
-Package: libkwineffects9
-Section: libs
-Architecture: any
+Package: libkwineffects10
+Architecture: any
+Multi-Arch: same
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: KDE window manager effects library
  KWin (pronounced as one syllable "kwin") is the window
@@ -201,9 +205,10 @@
  .
  This package is part of the KDE base workspace module.
 
-Package: libkwinglutils9
-Section: libs
-Architecture: any
+Package: libkwinglutils10
+Architecture: any
+Multi-Arch: same
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: kwin-common (<< 4:5.4), libkwin4-effect-builtins1 (<< 4:5.4)
 Description: KDE window manager gl utils library
@@ -217,9 +222,10 @@
  .
  This package is part of the KDE base workspace module.
 
-Package: libkwinxrenderutils9
-Section: libs
-Architecture: any
+Package: libkwinxrenderutils10
+Architecture: any
+Multi-Arch: same
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: KDE window manager render utils library
  KWin (pronounced as one syllable "kwin") is the window
@@ -233,8 +239,8 @@
  This package is part of the KDE base workspace module.
 
 Package: kwin-wayland-backend-drm
-Section: libs
-Architecture: any
+Architecture: any
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: kwin-wayland-backend
 Description: KDE window manager drm plugin
@@ -249,8 +255,8 @@
  This package is part of the KDE base workspace module
 
 Package: kwin-wayland-backend-fbdev
-Section: libs
-Architecture: any
+Architecture: any
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: kwin-wayland-backend
 Description: KDE window manager fbdev plugin
@@ -265,8 +271,8 @@
  This package is part of the KDE base workspace module
 
 Package: kwin-wayland-backend-x11
-Section: libs
-Architecture: any
+Architecture: any
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: kwin-wayland-backend
 Description: KDE window manager x11 plugin
@@ -281,8 +287,9 @@
  This package is part of the KDE base workspace module
 
 Package: kwin-wayland-backend-virtual
-Section: libs
-Architecture: any
+Architecture: any
+Multi-Arch: same
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: kwin-wayland-backend
 Description: KDE window manager virtual plugin

=== debian/tests/control ===
Tests: testsuite
Depends: @, debhelper, cmake,
         xvfb, xauth, dbus-x11, xserver-xephyr, libkf5service-bin, kded5,
         xwayland, oxygen-icon-theme, mesa-utils, kwin-style-breeze,
         dmz-cursor-theme
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr
